/******************************************************************************
 *                                                                            *
 * File:   transibm.h         Version  1.20            Date: 1996-01-08       *
 *                                                                            *
 * Copyright (C) 1992-1996 by Kosta Kostis - this is freeware!                *
 * Written by kostis@acm.org (Kosta Kostis)                                   *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * History:                                                                   *
 *    1996-01-08: KK V1.20                                                    *
 *        - see "transibm.c"                                                  *
 *                                                                            *
 *****************************************************************************/

/******************************************************************************

	Program Return Codes

 *****************************************************************************/

#define ERR_NONE                0       /* everything seemed to work   */

#define ERR_BAD                 1       /* unconv. characters in input */
#define ERR_SYNTAX              2       /* syntax error                */
#define ERR_SRC                 3       /* source can not be opened    */
#define ERR_DST                 4       /* dest. can not be created    */

/******************************************************************************

	Program Messages

 *****************************************************************************/

#define MSG_COPYRIGHT           \
"Copyright (C) 1992-1996 by Kosta Kostis - this is freeware!\n"
#define MSG_AUTHOR              \
"Written by kostis@acm.org (Kosta Kostis)\n"
#define MSG_VERSION             "%s %s\n"

#define ERR_MSG_SYNTAX          "Syntax: %s {-b*} {src} {dst}\n"
#define ERR_MSG_SRC             "%s: unable to open input file %s\n"
#define ERR_MSG_DST             "%s: unable to create output file %s\n"
